Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.omGraphics
Class EditableOMDecoratedSpline

    java.lang.Object
      com.bbn.openmap.event.MapMouseAdapter
          com.bbn.openmap.omGraphics.EditableOMGraphic
              com.bbn.openmap.omGraphics.EditableOMAbstractLine
                  com.bbn.openmap.omGraphics.EditableOMPoly
                      com.bbn.openmap.omGraphics.EditableOMSpline
                          com.bbn.openmap.omGraphics.EditableOMDecoratedSpline

All Implemented Interfaces:
  MapMouseListener

public class EditableOMDecoratedSpline
extends EditableOMSpline

EditableOMDecoratedSpline. Nothing created, code adapted from EditableOMPoly We just need to edit the generating points as an OMPoly

Version:
  29 juil. 2002
Author:
  Eric LEPICIER

Field Summary

Fields inherited from class com.bbn.openmap.omGraphics.EditableOMPoly
`gpm, gpo, manualEnclosed, OFFSET_POINT_INDEX, poly, polyGrabPoints`

Fields inherited from class com.bbn.openmap.omGraphics.EditableOMAbstractLine
`arrowheadMenu, i18n`

Fields inherited from class com.bbn.openmap.omGraphics.EditableOMGraphic
`actionMask, canGrabGraphic, DEBUG, DEBUG_DETAIL, gPoints, holder, lastMouseEvent, listeners, mouseModeServiceList, movingPoint, projection, showGUI, stateMachine`

Constructor Summary
`EditableOMDecoratedSpline()` Constructor.
`EditableOMDecoratedSpline(GraphicAttributes ga)` Constructor.
`EditableOMDecoratedSpline(OMSpline omp)` Constructor.

Method Summary
`OMGraphic` | `createGraphic(int renderType, int lineType)` Extendable method to create specific subclasses of OMPolys.
`java.net.URL` | `getImageURL(java.lang.String imageName)`

Methods inherited from class com.bbn.openmap.omGraphics.EditableOMSpline
`addMovingPoint`

Methods inherited from class com.bbn.openmap.omGraphics.EditableOMPoly
`addPoint, addPoint, addPoint, addPoint, addPolyGrabPointsToOGP, assertGrabPoints, attachToMovingGrabPoint, createGrabPoint, createGraphic, deletePoint, deletePoint, detachFromMovingGrabPoint, enablePolygonButton, enablePolygonEditButtons, enclose, evaluateEnclosed, generate, getGrabPoint, getGrabPoints, getGraphic, getGUI, getMovingPoint, getPolyGUI, getPolyGUI, init, isEnclosed, move, regenerate, render, setEnclosed, setGrabPoint, setGrabPoints, setGrabPoints, setGrabPoints, setGraphic, setMovingPoint, syncEnclosed, unsyncEnclosed, whichGrabPoint`

Methods inherited from class com.bbn.openmap.omGraphics.EditableOMAbstractLine
`createArrowIcon, getArrowHeadMenu`

Methods inherited from class com.bbn.openmap.omGraphics.EditableOMGraphic
`_getMovingPoint, addEOMGListener, cleanMap, finalize, fireEvent, fireEvent, fireEvent, fireEvent, getActionMask, getCanGrabGraphic, getGUI, getMouseModeServiceList, getMovingPoint, getProjection, getShowGUI, getStateMachine, handleInitialMouseEvent, modifyOMGraphicForEditRender, mouseClicked, mouseDragged, mouseEntered, mouseExited, mouseMoved, mouseMoved, mousePressed, mouseReleased, redraw, redraw, redraw, removeEOMGListener, repaint, repaintRender, reset, resetOMGraphicAfterEditRender, setActionMask, setCanGrabGraphic, setMouseModeServiceList, setProjection, setShowGUI, setStateMachine`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EditableOMDecoratedSpline

    public EditableOMDecoratedSpline()

  Constructor.

### EditableOMDecoratedSpline

    public EditableOMDecoratedSpline(GraphicAttributes ga)

  Constructor.

Parameters:
  `ga` -

### EditableOMDecoratedSpline

    public EditableOMDecoratedSpline(OMSpline omp)

  Constructor.

Parameters:
  `omp` -

Method Detail

### createGraphic

    public OMGraphic createGraphic(int renderType,
                                   int lineType)

  Extendable method to create specific subclasses of OMPolys.

  Overrides:
    `createGraphic` in class `EditableOMSpline`

### getImageURL

    public java.net.URL getImageURL(java.lang.String imageName)

  Overrides:
    `getImageURL` in class `EditableOMSpline`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details